<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="/WorkBooks">
		<HTML>
			<HEAD>
				<LINK REL="stylesheet" TYPE="text/css" href="{StyleSheet}" />
			</HEAD>
			
			<SCRIPT language="VBScript">

			Dim strSelected
			Dim blnVisible

			</SCRIPT>

			<select id="selectBook" onchange="UpdateBook">

			<xsl:for-each select="WorkBook">

				<option ID="hrefBook{position()}" value="{position()}"><xsl:value-of select="@Name"/></option>

			</xsl:for-each>

			</select>

			<script language="VBScript">
			
			Sub UpdateBook

			<xsl:for-each select="WorkBook">

				<xsl:variable name="book1" select="position()"/>

				selectData<xsl:value-of select="position()"/>.style.display = "none"

				<xsl:for-each select="WorkSheet">

				divData<xsl:value-of select="$book1" /><xsl:value-of select="position()" />.style.display="none"
			
				</xsl:for-each>				

			</xsl:for-each>

				Select Case selectBook.Options(selectBook.selectedIndex).value

			<xsl:for-each select="WorkBook">


				Case hrefBook<xsl:value-of select="position()"/>.value

					selectData<xsl:value-of select="position()"/>.style.display = "inline"
					selectData<xsl:value-of select="position()"/>.fireEvent "onchange"
	
			</xsl:for-each>

				End Select

			End Sub

			</script>

			<xsl:for-each select="WorkBook">

				<xsl:variable name="book" select="position()"/>

				<select id="selectData{position()}" style="display: none;" onchange="UpdateData{position()}">
			<xsl:for-each select="WorkSheet">

				<option ID="hrefData{$book}{position()}" value="{position()}"><xsl:value-of select="@Name"/></option>

			</xsl:for-each>
				</select>

				<SCRIPT language="VBScript">

			Sub UpdateData<xsl:value-of select="position()"/>


			<xsl:for-each select="WorkSheet">

				divData<xsl:value-of select="$book"/><xsl:value-of select="position()"/>.style.display = "none"

			</xsl:for-each>

				Select Case selectData<xsl:value-of select="position()"/>.Options(selectData<xsl:value-of select="position()"/>.selectedIndex).value

			<xsl:for-each select="WorkSheet">

				Case hrefData<xsl:value-of select="$book"/><xsl:value-of select="position()"/>.value


					divData<xsl:value-of select="$book"/><xsl:value-of select="position()"/>.style.display = "inline"
					hrefGrid<xsl:value-of select="$book"/><xsl:value-of select="position()"/>1.fireEvent "onmouseup"
					
			</xsl:for-each>

				Case Else

					MsgBox "Unknown Option"

				End Select

			End Sub

				</SCRIPT>

			<xsl:for-each select="WorkSheet">
				<DIV ID="divData{$book}{position()}" style="display: none;">
					<H1>
						<xsl:value-of select="@Name" />
					</H1>
				<xsl:variable name="parent" select="position()" />

				<table>
				<tr>
				<SCRIPT language="VBScript">

				Sub HideTables<xsl:value-of select="$book"/><xsl:value-of select="position()"/>

	
				<xsl:for-each select="Table">
					divGrid<xsl:value-of select="$book" /><xsl:value-of select="$parent" /><xsl:value-of select="position()" />.style.display = "none"
				</xsl:for-each>	

				End Sub

				</SCRIPT>

				<xsl:for-each select="Table">

				<td width="10%" align="center" ID="hrefGrid{$book}{$parent}{position()}" style="cursor: hand;" onmouseup="GridClick{$book}{$parent}{position()}">
				<xsl:value-of select="@Name" />
				</td>
				</xsl:for-each>
				</tr>
				</table>

				<xsl:for-each select="Table">
					<SCRIPT language="VBScript">
				Sub GridClick<xsl:value-of select="$book"/><xsl:value-of select="$parent"/><xsl:value-of select="position()"/>

					HideTables<xsl:value-of select="$book"/><xsl:value-of select="$parent"/>
					divGrid<xsl:value-of select="$book"/><xsl:value-of select="$parent" /><xsl:value-of select="position()" />.style.display = "inline"					
					hrefGrid<xsl:value-of select="$book"/><xsl:value-of select="$parent" /><xsl:value-of select="position()" />.style.backgroundColor = "#CCCCCC"
					strSelected = hrefGrid<xsl:value-of select="$book"/><xsl:value-of select="$parent" /><xsl:value-of select="position()" />.innertext
				<xsl:for-each select="../Table">
					If (Not (strSelected = hrefGrid<xsl:value-of select="$book"/><xsl:value-of select="$parent" /><xsl:value-of select="position()" />.innertext)) Then
						hrefGrid<xsl:value-of select="$book"/><xsl:value-of select="$parent" /><xsl:value-of select="position()" />.style.backgroundColor = ""
					End If

				</xsl:for-each>

				End Sub


				</SCRIPT>

				<SCRIPT for="hrefGrid{$book}{$parent}{position()}" event="onmouseover" language="VBScript">

					If Not (strSelected = hrefGrid<xsl:value-of select="$book"/><xsl:value-of select="$parent" /><xsl:value-of select="position()" />.innertext) Then
						hrefGrid<xsl:value-of select="$book"/><xsl:value-of select="$parent" /><xsl:value-of select="position()" />.style.backgroundColor = "#DDDDDD"
					End If
				</SCRIPT>

				<SCRIPT for="hrefGrid{$book}{$parent}{position()}" event="onmouseout" language="VBScript">

				<xsl:for-each select="../Table">

					If Not (strSelected = hrefGrid<xsl:value-of select="$book"/><xsl:value-of select="$parent" /><xsl:value-of select="position()" />.innertext) Then
						hrefGrid<xsl:value-of select="$book"/><xsl:value-of select="$parent" /><xsl:value-of select="position()" />.style.backgroundColor = ""
					End If

				</xsl:for-each>

				</SCRIPT>

				</xsl:for-each>

				<xsl:for-each select="Table">

				<DIV ID="divGrid{$book}{$parent}{position()}" style="display: none;">
						<H2>
							<xsl:value-of select="@Name" />
						</H2>
						<TABLE CELLPADDING="5px" BORDER="2px">
							<TR align="center">
								<TD>
								</TD>
								<xsl:for-each select="Row[1]/Column">
									<TD>
										<xsl:value-of select="@Name" />
									</TD>
								</xsl:for-each>
							</TR>
							<xsl:for-each select="Row">
								<TR align="center">
									<TD>
										<xsl:value-of select="@Name" />
									</TD>
									<xsl:for-each select="Column">
										<TD BGCOLOR="{@Color}">
											<xsl:value-of select="." />
										</TD>
									</xsl:for-each>
								</TR>
							</xsl:for-each>
						</TABLE>
						</DIV>
					</xsl:for-each>
				</DIV>
			</xsl:for-each>
			</xsl:for-each>

		<script language="VBScript">

		selectBook.fireEvent "onchange"

		</script>

		</HTML>
	</xsl:template>
</xsl:stylesheet>
